#!/usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const staticfs_1 = require("./staticfs");
const common_1 = require("./common");
const patchRequire = require("./fs-monkey/index.js").patchRequire;
const force = process.argv.indexOf("--force") !== -1;
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        if (force || !common_1.fileExists(common_1.packageJsonPath)) {
            // load node_modules from our squish'd fs file.
            patchRequire(yield staticfs_1.staticfs(`${__dirname}/static.fs`), true);
            try {
                if (force) {
                    // force => remove folder first
                    yield new Promise((res, rej) => require(`rimraf`)(common_1.installationPath, (err) => err ? rej(err) : res()));
                }
                // yarn setup
                const yarnMain = `yarn/${require("yarn/package.json").bin.yarn}`;
                yield new Promise(res => require("mkdirp")(common_1.basePath, () => res()));
                process.chdir(common_1.basePath);
                process.argv = [process.argv[0], yarnMain, 'add', common_1.dotnetPackageName, "--force", "--silent"];
                // setup our stuff for when it's done.
                // process.on("exit", ()=> console.log(`Installed platform-specific runtime: ${installationPath}`));
                // run yarn!
                require(yarnMain);
            }
            catch (e) {
                console.error(e);
                process.exit(1);
            }
        }
    });
}
main();
//# sourceMappingURL=app.js.map