#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("./common");
// don't go for global installed stuff.
process.env["DOTNET_MULTILEVEL_LOOKUP"] = "0";
// before we try anything, lets try to run the .net SDK 'dotnet' command-- 
// this will call process.exit when it's done. 
try {
    require("dotnet-sdk-2.0.0/dist/call.js");
}
catch (_a) {
    // try local node_modules 
    try {
        require(common_1.dotnetPackageName);
    }
    catch (_b) {
        // run the dotnet package
        try {
            require(common_1.installationPath);
        }
        catch (_c) {
            // inline install and try again
            require("child_process").fork(`${__dirname}/app.js`, ["--force"]).on("exit", (code, signal) => code == 0 ? require(common_1.installationPath) : console.error("Unable to install/use dotnet framework."));
        }
    }
}
//# sourceMappingURL=call.js.map